## org.firebirdsql.management
Interface ServiceManager

All Known Subinterfaces:
  BackupManager, MaintenanceManager, StatisticsManager, UserManager

All Known Implementing Classes:
  FBBackupManager, FBMaintenanceManager, FBServiceManager, FBStatisticsManager, FBUserManager

    public interface ServiceManager

The base Firebird Service API functionality.

Author:
  Roman Rokytskyy, Steven Jardine

Method Summary
`String` `getDatabase()` Returns the database path for the connection to the service manager.
`String` `getHost()` Returns the host for the connection to the service manager.
`OutputStream` `getLogger()` Returns the logger for the connection to the service manager.
`String` `getPassword()` Returns the password for the connection to the service manager.
`int` `getPort()` Returns the port for the connection to the service manager.
`String` `getUser()` Returns the username for the connection to the service manager.
`void` `setDatabase(String database)` Sets the database path for the connection to the service manager.
`void` `setHost(String host)` Sets the host for the connection to the service manager.
`void` `setLogger(OutputStream logger)` Sets the logger for the connection to the service manager.
`void` `setPassword(String password)` Sets the password for the connection to the service manager.
`void` `setPort(int port)` Sets the port for the connection to the service manager.
`void` `setUser(String user)` Sets the username for the connection to the service manager.

Method Detail

### setUser

    void setUser(String user)

  Sets the username for the connection to the service manager.

  Parameters:
    `user` - for the connection to the service manager.

### getUser

    String getUser()

  Returns the username for the connection to the service manager.

  Returns:
    the username for the connection to the service manager.

### setPassword

    void setPassword(String password)

  Sets the password for the connection to the service manager.

  Parameters:
    `password` - for the connection to the service manager.

### getPassword

    String getPassword()

  Returns the password for the connection to the service manager.

  Returns:
    the password for the connection to the service manager.

### setDatabase

    void setDatabase(String database)

  Sets the database path for the connection to the service manager.

  Parameters:
    `database` - path for the connection to the service manager.

### getDatabase

    String getDatabase()

  Returns the database path for the connection to the service manager.

  Returns:
    the database path for the connection to the service manager.

### getHost

    String getHost()

  Returns the host for the connection to the service manager.

  Returns:
    the host for the connection to the service manager.

### setHost

    void setHost(String host)

  Sets the host for the connection to the service manager.

  Parameters:
    `host` - for the connection to the service manager.

### getPort

    int getPort()

  Returns the port for the connection to the service manager.

  Returns:
    the port for the connection to the service manager.

### setPort

    void setPort(int port)

  Sets the port for the connection to the service manager.

  Parameters:
    `port` - for the connection to the service manager.

### getLogger

    OutputStream getLogger()

  Returns the logger for the connection to the service manager.

  Returns:
    the logger for the connection to the service manager.

### setLogger

    void setLogger(OutputStream logger)

  Sets the logger for the connection to the service manager.

  Parameters:
    `logger` - for the connection to the service manager.

Copyright © 2001-2010. All Rights Reserved.